def enable_rnd(self):
    return "rnd" in self.exploration_type or "Q" in self.exploration_type or "option" in self.exploration_type

def enable_rnd_reward(self):
    return "rrnd" in self.exploration_type

def enable_optionQ(self):
    return "Q" in self.exploration_type or "option" in self.exploration_type

def is_bmc(self):
    return self.exploration_type == "epsilon-bmc"


def enable_first_visit(env):
    return hasattr(env, "size") or hasattr(env, "room_size")

def enable_mission(env_name):
    if "GoToDoor" in env_name or "GoToObject" in env_name or "PutNear" in env_name or "LockedRoom" in env_name or "Fetch" in env_name:
        return True
    return False
